update BR
authorElan Ruusamäe <glen@delfi.ee>
Tue, 7 Jun 2016 21:23:25 +0000 (00:23 +0300)
committerElan Ruusamäe <glen@delfi.ee>
Tue, 7 Jun 2016 21:23:49 +0000 (00:23 +0300)
- Qt5Gui-devel --   Could not find a package configuration file provided by "Qt5Gui" with any
- Qt5Network-devel --   Could not find a package configuration file provided by "Qt5Network" with
- Qt5Widgets-devel --   Could not find a package configuration file provided by "Qt5Widgets" with
- libstdc++-devel -- "try: -DCMAKE_CXX_COMPILER_WORKS=1 -DCMAKE_CXX_COMPILER="%{__cc}"
- pkgconfig -- -- Could NOT find PkgConfig (missing:  PKG_CONFIG_EXECUTABLE)

seafile-client.spec

index 4ace558d20cdeaa73aa6fabca41ed95da5cb344c..427da54a71beff639132c3a34ed50f35b4cd88c4 100644 (file)
@@ -8,25 +8,27 @@ Source0:      https://github.com/haiwen/seafile-client/archive/v%{version}/%{name}-%{
 # Source0-md5: c1efe86775068aa9f42125bf70192931
 URL:           https://www.seafile.com/
 BuildRequires: Qt5Core-devel
-BuildRequires: Qt5WebKit-devel
-BuildRequires: Qt5Test-devel
 BuildRequires: Qt5DBus-devel
-BuildRequires: appstream-glib
+BuildRequires: Qt5Gui-devel
+BuildRequires: Qt5Network-devel
+BuildRequires: Qt5Test-devel
+BuildRequires: Qt5Widgets-devel
 BuildRequires: bash
 BuildRequires: ccnet-devel
 BuildRequires: cmake
 BuildRequires: desktop-file-utils
 BuildRequires: jansson-devel
 BuildRequires: libsearpc-devel
+BuildRequires: libstdc++-devel
 BuildRequires: libuuid-devel
 BuildRequires: openssl-devel
+BuildRequires: pkgconfig
 BuildRequires: qt5-build
 BuildRequires: qt5-linguist
 BuildRequires: qt5-qmake
-BuildRequires: qt5-qttools
 BuildRequires: rpmbuild(macros) >= 1.596
 BuildRequires: seafile-devel
-BuildRequires: sqlite-devel
+BuildRequires: sqlite3-devel
 Requires:      gtk-update-icon-cache
 Requires:      hicolor-icon-theme
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
This page took 0.084518 seconds and 4 git commands to generate.